DOVEADM-DUMP(1)

NAME
doveadm-dump - Dump the content of Dovecot's binary mailbox index/log

SYNOPSIS

doveadm [GLOBAL OPTIONS] dump [-t type] path [type-specific args]

DESCRIPTION

Dovecot uses several binary index and log files in order to improve performance for accessing mails. For some mailbox formats, such as sdbox and mdbox, the index files are part of the format itself. For details about index files, see [[link,design_index_format_main].

doveadm dump is used to show the contents of those mailbox index/log files, in human readable format. This is mainly useful for Dovecot developers when debugging some problem.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

OPTIONS

-t type

        the file type of the file to be dumped. If the type was omitted, doveadm(1) tries to detect the type of path.

        type can be:

            dbox : => m.n (sdbox or mdbox mailbox file)

    fts-expunge-log : Dump the list of expunged mails in dovecot-expunges.log.

    fts-flatcurve : Dump the keywords indexed in fts-flatcurve indexes directory and their frequencies.

    imap-compress : Decompress an IMAP traffic log, which contains data compressed using the IMAP COMPRESSION extension.

    dcrypt-file : Dump metadata of a dcrypt encrypted file.

    type-specific args

        private_key=/path : to decrypt file contents.

    password=secret : to decrypt private key.

    dcrypt-key : Dump metadata of a dcrypt key.

    type-specific args

        private_key=/path

            to decrypt file contents.

    password=secret

        to decrypt private key.

    dump=pem|dovecot|jwk

        to specify format to dump in.

    index : => dovecot.index, dovecot.map.index

    type-specific args

        uid=number : Dump only message with UID

    log : => dovecot.index.log, dovecot.map.index.log

    mailboxlog : => dovecot.mailbox.log

    thread : => dovecot.index.thread

ARGUMENTS

path

        The path to the corresponding dbox storage, index or log file. If only a directory is specified, doveadm tries to detect the type of files under it and dumps them.

EXAMPLE

Look at the contents of a mailbox's index:

    doveadm dump ~/Maildir/.work/

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)